---
layout: layouts/test.njk
class: 4BHEL
group: A
subject: KSN
date: 2023-03-07
points: [12, 12, 12, 36, 28]
grading: "Grading: >= 88: 1, >=76: 2, >=64 : 3, >=51: 4, <=50: 5"
---

<p>Requires
  <a href="../../../../cheat_sheets/header_tables/">header tables</a>!</p>

<pre>
0000   ec 3e b3 4d 71 2c d8 5e d3 6f c4 a2 08 00 45 00
0010   01 a6 36 6d 40 00 40 06 bc ab 0a 00 00 0b c1 ab
0020   7a 83 96 aa 00 50 97 13 37 fb e6 aa 3b 1d 80 18
0030   01 f6 1a 41 00 00 01 01 08 0a 07 a9 f4 e3 7e ce
0040   90 20 47 45 54 20 2f 20 48 54 54 50 2f 31 2e 31
0050   0d 0a 48 6f 73 74 3a 20 77 69 72 65 73 68 61 72
0060   6b 2e 62 75 6c 6d 65 2e 61 74 0d 0a 55 73 65 72
</pre>

<ol>
  <li>
    <ol>
      <li>
    <strong>Link Layer</strong><br />
        {% YesNoTable 6, '', 12 %}
{% yes_no_question 'In TCP/IP, the link layer is directly below the
  transport layer.', 'no' %}
{% yes_no_question 'The MAC header is usually small compared to
  the encompassed data.', 'yes' %}
{% yes_no_question 'The link layer is the network component used to interconnect
  hosts or nodes.', 'yes' %}
{% yes_no_question 'A link protocol operates across different networks.',
  'no' %}
{% yes_no_question 'ARP is used for discovering MAC addresses.', 'yes' %}
{% yes_no_question 'The EtherType indicates which protocol is encapsulated in a
  frame.', 'yes' %}
        {% endYesNoTable %}
      </li>

      <li>
    <strong>Transport Layer</strong><br />
        {% YesNoTable 6, '', 12 %}
{% yes_no_question 'Transport layer protocols provide end-to-end communication
  services for applications.', 'yes' %}
{% yes_no_question 'QUIC, SSH and TFTP are transport layer protocols.', 'no' %}
{% yes_no_question 'QUIC improves performance of connection-oriented web
  applications that are currently using TCP.', 'yes' %}
{% yes_no_question 'TCP and UDP use port numbers to identify sending and
  receiving application end-points on a host.',
  'yes' %}
{% yes_no_question 'Ports 0-1023 are well-known ports.', 'yes' %}
{% yes_no_question 'Port numbers are 32-bit unsigned integers.', 'no' %}
        {% endYesNoTable %}
      </li>
    </ol>
  </li>

  <li><strong>Wireshark</strong>
    The (partial) hex dump on the first page is from an HTTP GET request
    from computer A to server B. It shows an ethernet frame from the beginning
    that is cut off before the end. Answer the following questions / fill out
    the appropriate values using the hex dump on the first page and the
    relevant header tables.
    <ol>
      <li><div class="grading">4 points each</div>
        <ul>
          <li>Next node's MAC address:</li>
          <li>Computer A's MAC address:</li>
          <li>EtherType (in hex):</li>
        </ul>
{% answer %}
        <ul>
          <li>Next node's MAC address: <code>ec:3e:b3:4d:71:2c</code></li>
          <li>Computer A's MAC address: <code>d8:5e:d3:6f:c4:a2</code></li>
          <li>EtherType (in hex): <code>0x0800 (IPv4)</code></li>
        </ul>
{% endanswer %}
      </li>
      <li>
        <div class="grading">
          4 points each except 8 points for each IP address
        </div>
        <ul>
          <li>Internet protocol version (decimal): <code></code></li>
          <li>Header length (number of bytes, decimal): <code></code></li>
          <li>Total length (bytes, decimal): <code></code></li>
          <li>Time to live (decimal): <code></code></li>
          <li>Protocol (text; <code>{1: ICMP, 6: TCP, 17: UDP}</code>): </li>
          <li>Source IP (dot-decimal notation): <code></code></li>
          <li>Destination IP (dot-decimal notation): <code></code></li>
        </ul>
{% answer %}
        <ul>
          <li>Internet protocol version (decimal): <code>4</code></li>
          <li>Header Length (number of bytes, decimal): <code>5 * 4 = 20</code></li>
          <li>Total length (bytes, decimal): <code>422</code>
            (<code>0x01a6</code>)</li>
          <li>Time to live (decimal): <code>64</code> (<code>0x40</code>)</li>
          <li>Protocol (text): <code>TCP</code> (<code>6</code>)</li>
          <li>Source IP: <code>10.0.0.11</code> (<code>0a 00 00 0b</code>)</li>
          <li>Destination IP: <code>193.171.122.131</code>
            (<code>c1 ab 7a 83</code>)</li>
        </ul>
{% endanswer %}
      </li>
      <li>
        <div class="grading">
          6/ 2/ 6/ 2/ 4/ 2/ 2/ 2/ 2 points
        </div>
        <ul>
          <li>Source port (decimal): <code></code></li>
          <li>Is the source port a well known port? If yes, which one?
            <code></code></li>
          <li>Destination port (decimal): <code></code></li>
          <li>Is the destination port a well known port? If yes, which one?
            <code></code></li>
          <li>Data offset (number of bytes, decimal): <code></code></li>
          <li>ACKnowledgement (true / false): <code></code></li>
          <li>PuSH (true / false): <code></code></li>
          <li>Syn (true / false): <code></code></li>
          <li>Fin (true / false): <code></code></li>
        </ul>
{% answer %}
        <ul>
          <li>Source port (decimal): <code>38570</code>
            (<code>0x96aa</code>)</li>
          <li>Is the source port a well known port? If yes, which protocol?
            <code>no</code></li>
          <li>Destination port (decimal): <code>80</code></li>
          <li>Is the destination port a well known port? If yes, which protocol?
            <code>HTTP</code></li>
          <li>Data offset (number of bytes, decimal): <code>8 * 4 = 32</code></li>
          <li>ACKnowledgement (true / false): <code>true</code></li>
          <li>PuSH (true / false): <code>true</code></li>
          <li>Syn (true / false): <code>false</code></li>
          <li>Fin (true / false): <code>false</code></li>
        </ul>
{% endanswer %}
      </li>
    </ol>
  </li>
</ol>
